/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer;

import java.io.Serializable;

/**
 * Listener interface to be implemented by classes that want to be notified when
 * the contents of a {@link EntityProvider} is changed (e.g. entities are added or removed).
 * 
 * @see EntityProviderChangeNotifier
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
public interface EntityProviderChangeListener<T> extends Serializable {

	/**
	 * Notifies the client that <code>event</code> has occurred.
	 * 
	 * @param event
	 *            the occurred event (never null).
	 */
	public void entityProviderChange(EntityProviderChangeEvent<T> event);
}
