/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer.filter;

import com.vaadin.addon.jpacontainer.Filter;
import java.util.Iterator;
import java.util.List;

/**
 * A filter that groups other filters together in a single conjunction (A and B
 * and C...).
 * 
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
public class Conjunction extends AbstractJunction {

	private static final long serialVersionUID = -7762904141209202934L;

	protected Conjunction(Filter[] filters) {
		super(filters);
	}

	protected Conjunction(List<Filter> filters) {
		super(filters);
	}

	public String toQLString() {
		return toQLString(PropertyIdPreprocessor.DEFAULT);
	}

	public String toQLString(PropertyIdPreprocessor propertyIdPreprocessor) {
		StringBuffer sb = new StringBuffer();
		sb.append("(");
		for (Iterator<Filter> it = getFilters().iterator(); it.hasNext();) {
			sb.append(it.next().toQLString(propertyIdPreprocessor));
			if (it.hasNext()) {
				sb.append(" and ");
			}
		}
		sb.append(")");
		return sb.toString();
	}
}
