/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer.filter;

/**
 * Filter that includes all items for which the filtered property is null.
 * 
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
public class IsNullFilter extends AbstractPropertyFilter {

	private static final long serialVersionUID = 519303493666084738L;

	protected IsNullFilter(Object propertyId) {
		super(propertyId);
	}

	public String toQLString(PropertyIdPreprocessor propertyIdPreprocessor) {
		return String.format("(%s is null)", propertyIdPreprocessor
				.process(getPropertyId()));
	}
}
