/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer.filter;

/**
 * This interface defines a filter that performs a join on a specified property
 * and then applies additional filters on the properties of the joined property.
 *
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
public interface JoinFilter extends CompositeFilter {

    /**
     * Gets the property that should be joined.
     * @return the property name (never null).
     */
    public String getJoinProperty();

}
