/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer.filter;

import com.vaadin.addon.jpacontainer.Filter;

/**
 * Interface to be implemented by filters that are applied to a single property.
 * 
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
public interface PropertyFilter extends Filter {

	/**
	 * Gets the ID of the property that this filter is applied to.
	 * 
	 * @return the property ID (never null).
	 */
	public Object getPropertyId();
}
