/*
JPAContainer
Copyright (C) 2009-2011 Oy Vaadin Ltd

This program is available under GNU Affero General Public License (version
3 or later at your option).

See the file licensing.txt distributed with this software for more
information about licensing.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.vaadin.addon.jpacontainer.provider;

import com.vaadin.addon.jpacontainer.EntityProviderChangeEvent;
import com.vaadin.addon.jpacontainer.MutableEntityProvider;

/**
 * Event indicating that one or more entities have been removed.
 *
 * @author Petter Holmström (Vaadin Ltd)
 * @since 1.0
 */
class EntitiesRemovedEvent<T> extends EntityEvent<T> implements EntityProviderChangeEvent.EntitiesRemovedEvent<T> {

	private static final long serialVersionUID = -7174185739064265869L;

	public EntitiesRemovedEvent(MutableEntityProvider<T> entityProvider,
			T... entities) {
		super(entityProvider, entities);
	}
}
